//---------------------------------------------------------------------------
#ifndef fSHXH
#define fSHXH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <IniFiles.hpp>
//---------------------------------------------------------------------------
const AnsiString sGeneral = "General";
const AnsiString sSettings = "Settings.ini";
const AnsiString sUseSHX = "Use SHX";
const AnsiString sSHXPaths = "SHX search paths";
const AnsiString sSHXPath = "SHX default path";
const AnsiString sSHXFont = "SHX default font";
//---------------------------------------------------------------------------
class TfmSHX : public TForm
{
__published:	// IDE-managed Components
  TButton *btnOk;
  TButton *btnCancel;
  TPanel *Panel1;
  TCheckBox *cbUseSHXFonts;
  TLabel *lblSHXSearchPath;
  TLabel *lblDefautSHXPath;
  TLabel *lblDefaultSHXFont;
  TEdit *edSHXSearchPath;
  TEdit *edSHXDefaultPath;
  TEdit *edSHXDefaultFont;
  TButton *btnSHXSearchPath;
  TButton *btnSHXDefaultPath;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall cbUseSHXFontsClick(TObject *Sender);
  void __fastcall btnSHXSearchPathClick(TObject *Sender);
  void __fastcall btnSHXDefaultPathClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  TIniFile *FOptions;
  __fastcall TfmSHX(TComponent* Owner);
  void __fastcall LoadOptions(void);
  void __fastcall SaveOptions(void);
};
//---------------------------------------------------------------------------
bool SHXOptionsExecute(TIniFile *AOptions, TComponent *AOwner);
//---------------------------------------------------------------------------
extern PACKAGE TfmSHX *fmSHX;
//---------------------------------------------------------------------------
#endif
